declare namespace saxon = "http://saxon.sf.net/";
declare option saxon:output "indent=no";
declare option saxon:output "method=html";
declare option saxon:output "doctype-public=-//W3C//DTD XHTML 1.0 Strict//EN";
declare option saxon:output "doctype-system=http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd";

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"
      xmlns:p="http://www.planets.org">

<head>
    <meta http-equiv="content-type" content="application/xhtml+xml;charset=UTF-8" />
    <meta http-equiv="content-language" content="en" />
    <title>Our Solar System Planets</title>
    <meta name="description" content="Information and photos of each planet in our solar system" />
    <meta name="keywords" content="Planets, Solar System" />
    <meta name="author" content="Roger L. Costello" />
    <style type="text/css" media="all">
        /* <![CDATA[[ */
        @import url(css/basic.css);
        /* ]]> */
    </style>
</head>
<body>

    <h1>Our Solar System Planets</h1>

    <p>There are eight planets in our solar system including Earth. So far, no life as we know it exists on any planet other than our own.</p>

    <div id="planets">
      {
         for $i in //p:planet return
            <div id="{$i/p:name}">
                <h2>{$i/p:name}</h2>
                <p class="image"><img src="{$i/p:image}" alt="{$i/p:name} Photo" /></p>
                <ul class="facts">
                    <li class="size">
                        <span class="title">Size</span>:
                        {$i/p:size/text()}
                    </li>
                    <li class="diameter">
                        <span class="title">Diameter</span>:
                        {$i/p:diameter/text()}
                    </li>
                    <li class="surface">
                        <span class="title">Surface</span>:
                        {$i/p:surface/text()}
                    </li>
                    <li class="atmosphere">
                        <span class="title">Atmosphere</span>:
                        {$i/p:atmosphere/text()}
                    </li>
                    <li class="temperature">
                        <span class="title">Temperature</span>:
                        {$i/p:temperature/text()}
                    </li>
                    <li class="rotation-around-axis">
                        <span class="title">Rotation of its axis</span>:
                        {$i/p:rotation-around-axis/text()}
                    </li>
                    <li class="rotation-around-sun">
                        <span class="title">Rotation around the Sun</span>:
                        {$i/p:rotation-around-sun/text()}
                    </li>
                    <li class="weight">
                        <span class="title">Your weight</span>:
                        {$i/p:your-weight/text()}
                    </li>
                    <li class="distance-from-earth">
                        <span class="title">Distance from Earth</span>:
                        {$i/p:distance-from-earth/text()}
                    </li>
                    <li class="mean-distance-from-sun">
                        <span class="title">Mean Distance from Sun</span>:
                        {$i/p:mean-distance-from-sun/text()}
                    </li>
                    <li class="satellites">
                        <span class="title">Satellites</span>:
                        {$i/p:satellites/text()}
                    </li>
                    <li class="rings">
                        <span class="title">Rings</span>:
                        {$i/p:rings/text()}
                    </li>
                </ul>
            </div>
        }
     </div>
</body>
</html>
