<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" 
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"
      xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
      xsl:version="1.0">

<head>
    <meta http-equiv="content-type" content="application/xhtml+xml;charset=UTF-8" />
    <meta http-equiv="content-language" content="en" />
    <title>Our Solar System Planets</title>
    <meta name="description" content="Information and photos of each planet in our solar system" />
    <meta name="keywords" content="Planets, Solar System" />
    <meta name="author" content="Roger L. Costello" />
    <style type="text/css" media="all">
        /* <![CDATA[[ */
        @import url(css/basic.css);
        /* ]]> */
    </style>
</head>
<body>

    <h1>Our Solar System Planets</h1>

    <p>There are eight planets in our solar system including Earth. So far, no life as we know it exists on any planet other than our own.</p>

    <div id="planets">

        <xsl:for-each select="//planet">
            <div id="{name}">
                <h2><xsl:value-of select="name" /></h2>
                <p class="image"><img src="{image}" alt="{concat(name, ' Photo')}" /></p>
                <ul class="facts">
                    <li class="size">
                        <span class="title">Size</span>:
                        <xsl:value-of select="size" />
                    </li>
                    <li class="diameter">
                        <span class="title">Diameter</span>:
                        <xsl:value-of select="diameter" />
                    </li>
                    <li class="surface">
                        <span class="title">Surface</span>:
                        <xsl:value-of select="surface" />
                    </li>
                    <li class="atmosphere">
                        <span class="title">Atmosphere</span>:
                        <xsl:value-of select="atmosphere" />
                    </li>
                    <li class="temperature">
                        <span class="title">Temperature</span>:
                        <xsl:value-of select="temperature" />
                    </li>
                    <li class="rotation-around-axis">
                        <span class="title">Rotation of its axis</span>:
                        <xsl:value-of select="rotation-around-axis" />
                    </li>
                    <li class="rotation-around-sun">
                        <span class="title">Rotation around the Sun</span>:
                        <xsl:value-of select="rotation-around-sun" />
                    </li>
                    <li class="weight">
                        <span class="title">Your weight</span>:
                        <xsl:value-of select="weight" />
                    </li>
                    <li class="distance-from-earth">
                        <span class="title">Distance from Earth</span>:
                        <xsl:value-of select="distance-from-earth" />
                    </li>
                    <li class="mean-distance-from-sun">
                        <span class="title">Mean Distance from Sun</span>:
                        <xsl:value-of select="mean-distance-from-sun" />
                    </li>
                    <li class="satellites">
                        <span class="title">Satellites</span>:
                        <xsl:value-of select="satellites" />
                    </li>
                    <li class="rings">
                        <span class="title">Rings</span>:
                        <xsl:value-of select="rings" />
                    </li>
                </ul>
            </div>
        </xsl:for-each>
        </div>
</body>
</html>
