declare namespace saxon = "http://saxon.sf.net/";
declare namespace ex = "http://www.example.org";

declare option saxon:output "indent=no";
declare option saxon:output "method=html";
declare option saxon:output "doctype-public=-//W3C//Dtd XHTML 1.0 Strict//EN";
declare option saxon:output "doctype-system=http://www.w3.org/tr/xhtml1/Dtd/xhtml1-strict.dtd";

declare function ex:displayNameWithFont ($name, $font-family)
{
    <li xmlns="http://www.w3.org/1999/xhtml" style="font-family:{$font-family}">{$name}</li>
};

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"
      xmlns:n="http://www.names.org">

<head>
    <meta http-equiv="content-type" content="application/xhtml+xml;charset=UTF-8" />
    <meta http-equiv="content-language" content="en" />
    <title>Names</title>
    <meta name="description" content="Names in various fonts" />
    <meta name="keywords" content="Names" />
    <meta name="author" content="Roger L. Costello" />
</head>
<body>
    <h1>Names</h1>

    <ul>
      {
          for $i in //n:name return
                 ex:displayNameWithFont($i/text(), string($i/@preferred-font-family))
      }
    </ul>
</body>
</html>